From 8e6df560b74d7e9b94dd47625de56bc1dc0bc6d7 Mon Sep 17 00:00:00 2001
From: Simo Sorce <idra@samba.org>
Date: Wed, 14 Oct 2009 10:55:11 -0400
Subject: talloc: Move release script under /script too

---
 lib/talloc/release-script.sh        | 48 -------------------------------------
 lib/talloc/script/release-script.sh | 48 +++++++++++++++++++++++++++++++++++++
 2 files changed, 48 insertions(+), 48 deletions(-)
 delete mode 100755 lib/talloc/release-script.sh
 create mode 100755 lib/talloc/script/release-script.sh

(limited to 'lib')

diff --git a/lib/talloc/release-script.sh b/lib/talloc/release-script.sh
deleted file mode 100755
index 6b6c0e7aad0..00000000000
--- a/lib/talloc/release-script.sh
+++ /dev/null
@@ -1,48 +0,0 @@
-#!/bin/bash
-
-if [ "$1" = "" ]; then
-    echo "Please provide version string, eg: 1.2.0"
-    exit 1
-fi
-
-if [ ! -d "lib/talloc" ]; then
-    echo "Run this script from the samba base directory."
-    exit 1
-fi
-
-git clean -f -x -d lib/talloc
-git clean -f -x -d lib/replace
-
-curbranch=`git-branch |grep "^*" | tr -d "* "`
-
-version=$1
-strver=`echo ${version} | tr "." "-"`
-
-# Checkout the release tag
-git branch -f talloc-release-script-${strver} talloc-${strver}
-if [ ! "$?" = "0" ];  then
-    echo "Unable to checkout talloc-${strver} release"
-    exit 1
-fi
-
-git checkout talloc-release-script-${strver}
-
-# Test configure agrees with us
-confver=`grep "^AC_INIT" lib/talloc/configure.ac | tr -d "AC_INIT(talloc, " | tr -d ")"`
-if [ ! "$confver" = "$version" ]; then
-    echo "Wrong version, requested release for ${version}, found ${confver}"
-    exit 1
-fi
-
-# Now build tarball
-cp -a lib/talloc talloc-${version}
-cp -a lib/replace talloc-${version}/libreplace
-pushd talloc-${version}
-./autogen.sh
-popd
-tar cvzf talloc-${version}.tar.gz talloc-${version}
-rm -fr talloc-${version}
-
-#Clean up
-git checkout $curbranch
-git branch -d talloc-release-script-${strver}
diff --git a/lib/talloc/script/release-script.sh b/lib/talloc/script/release-script.sh
new file mode 100755
index 00000000000..6b6c0e7aad0
--- /dev/null
+++ b/lib/talloc/script/release-script.sh
@@ -0,0 +1,48 @@
+#!/bin/bash
+
+if [ "$1" = "" ]; then
+    echo "Please provide version string, eg: 1.2.0"
+    exit 1
+fi
+
+if [ ! -d "lib/talloc" ]; then
+    echo "Run this script from the samba base directory."
+    exit 1
+fi
+
+git clean -f -x -d lib/talloc
+git clean -f -x -d lib/replace
+
+curbranch=`git-branch |grep "^*" | tr -d "* "`
+
+version=$1
+strver=`echo ${version} | tr "." "-"`
+
+# Checkout the release tag
+git branch -f talloc-release-script-${strver} talloc-${strver}
+if [ ! "$?" = "0" ];  then
+    echo "Unable to checkout talloc-${strver} release"
+    exit 1
+fi
+
+git checkout talloc-release-script-${strver}
+
+# Test configure agrees with us
+confver=`grep "^AC_INIT" lib/talloc/configure.ac | tr -d "AC_INIT(talloc, " | tr -d ")"`
+if [ ! "$confver" = "$version" ]; then
+    echo "Wrong version, requested release for ${version}, found ${confver}"
+    exit 1
+fi
+
+# Now build tarball
+cp -a lib/talloc talloc-${version}
+cp -a lib/replace talloc-${version}/libreplace
+pushd talloc-${version}
+./autogen.sh
+popd
+tar cvzf talloc-${version}.tar.gz talloc-${version}
+rm -fr talloc-${version}
+
+#Clean up
+git checkout $curbranch
+git branch -d talloc-release-script-${strver}
-- 
cgit